# Visualization
TKV3d
SelectMgr

# SelectMgr_CompositionFilter Class Reference

A framework to define a compound filter composed of
two or more simple filters.
.

`#include <SelectMgr_CompositionFilter.hxx>`

Inheritance diagram for SelectMgr_CompositionFilter:

[legend]

## Public Member Functions

Standard_EXPORT void | Add (const Handle(SelectMgr_Filter)&afilter)
| Adds the filter afilter to a filter object created by a filter class inheriting this framework. .
Standard_EXPORT void | Remove (const Handle(SelectMgr_Filter)&aFilter)
| Removes the filter aFilter from this framework. .
Standard_EXPORT Standard_Boolean | IsEmpty () const
| Returns true if this framework is empty. .
Standard_EXPORT Standard_Boolean | IsIn (const Handle(SelectMgr_Filter)&aFilter) const
| Returns true if the filter aFilter is in this framework. .
const SelectMgr_ListOfFilter & | StoredFilters () const
| Returns the list of stored filters from this framework. .
Standard_EXPORT void | Clear ()
| Clears the filters used in this framework. .
virtual Standard_EXPORT Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aStandardMode) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

SelectMgr_ListOfFilter | myFilters

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean SelectMgr_CompositionFilter::ActsOn | ( | const TopAbs_ShapeEnum | aStandardMode | ) | const`[virtual]`

| Reimplemented from SelectMgr_Filter.

Standard_EXPORT void SelectMgr_CompositionFilter::Add | ( | const Handle(SelectMgr_Filter)& | afilter | ) |

Standard_EXPORT void SelectMgr_CompositionFilter::Clear | ( |  | ) |

Standard_EXPORT const SelectMgr_CompositionFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter. Reimplemented in SelectMgr_AndFilter, and SelectMgr_OrFilter.

Standard_EXPORT Standard_Boolean SelectMgr_CompositionFilter::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Boolean SelectMgr_CompositionFilter::IsIn | ( | const Handle(SelectMgr_Filter)& | aFilter | ) | const

Standard_EXPORT void SelectMgr_CompositionFilter::Remove | ( | const Handle(SelectMgr_Filter)& | aFilter | ) |

const SelectMgr_ListOfFilter & SelectMgr_CompositionFilter::StoredFilters | ( |  | ) | const`[inline]`

## Field Documentation

SelectMgr_ListOfFilter SelectMgr_CompositionFilter::myFilters `[protected]`

The documentation for this class was generated from the following files:

- SelectMgr_CompositionFilter.hxx
- SelectMgr_CompositionFilter.lxx